package com.asset.domain.system;

import com.asset.common.Insert;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
public class Company {
    //ID
    private Integer id;
    /**
     * 公司名称
     */
    @NotEmpty(message = "名称不能为空!", groups = {Insert.class})
    private String name;
    /**
     * 公司地址
     */
    private String address;
    /**
     * 公司电话
     */
    private String phone;
    /**
     * 状态
     */
    private String state;
    /**
     * 创建时间
     */
    private Integer createTime;

}
