package com.asset.mapper.system;

import com.asset.domain.system.Company;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;

public interface CompanyMapper {

    //@Select("select * from company where id=#{id}")
    public Company getCompanyById(Integer id);

    public Company getCompanyByName(String name);

    Page<Company> companyList(Map param);

    public void insertCompany(Company company);

    public boolean insertAllCompany(List<Company> company);

    public void updateCompany(Company company);

    public boolean deleteCompanyById(Integer id);

   /* @Delete("<script>" +
            "delete from company where id in " +
            "<foreach collection='list' item='team' open='(' separator=',' close=')'>"
            +"#{team}"
            +"</foreach>"
            +"</script>")*/
    public boolean deleteCompanyByIds(List<Integer> list, String name);
}
